## openmolcas 22.10

=== CMakeLists.txt ===
#***********************************************************************
# This file is part of OpenMolcas.                                     *
#                                                                      *
# OpenMolcas is free software; you can redistribute it and/or modify   *
# it under the terms of the GNU Lesser General Public License, v. 2.1. *
# OpenMolcas is distributed in the hope that it will be useful, but it *
# is provided "as is" and without any express or implied warranties.   *
# For more details see the full text of the license in the file        *
# LICENSE or in <http://www.gnu.org/licenses/>.                        *
#                                                                      *
# Copyright (C) 2014-2016, Steven Vancoillie                           *
#               2014-2021, Ignacio Fdez. Galván                        *
#               2015, Stefan Knecht                                    *
#               2020, Gerardo Raggi                                    *
#***********************************************************************
# Global CMakeLists.txt file for building OpenMolcas with CMake.
#
# Steven Vancoillie - Spring 2014, on a Saturday afternoon, with coffee
# Ignacio Fdez. Galván made several improvements / additions
# Gerardo Raggi - AppleClang

cmake_minimum_required (VERSION 3.12)
cmake_policy (VERSION 3.12...3.21)

project (OpenMolcas
         LANGUAGES Fortran C
         VERSION ""
)

#set (CMAKE_VERBOSE_MAKEFILE ON)

include (${PROJECT_SOURCE_DIR}/cmake/cmake_helpers.cmake)

# Prevent in-source builds
# If an in-source build is attempted, you will still need to clean up a few files manually.
set (CMAKE_DISABLE_SOURCE_CHANGES ON)
set (CMAKE_DISABLE_IN_SOURCE_BUILD ON)
get_filename_component (sourcedir "${CMAKE_SOURCE_DIR}" REALPATH)
get_filename_component (binarydir "${CMAKE_BINARY_DIR}" REALPATH)
if ("${sourcedir}" STREQUAL "${binarydir}")
  message (FATAL_ERROR "In-source builds in ${CMAKE_BINARY_DIR} are not "
          "allowed, please remove ./CMakeCache.txt and ./CMakeFiles/, create a "
          "separate build directory and run cmake from there.")
endif ()

# discover some necessary tools
find_program (GIT "git")
find_program (PERL "perl")
mark_as_advanced (FORCE GIT PERL)

FIND_PACKAGE (Python COMPONENTS Interpreter)

################################################################################
#                                                                              #
# Options                                                                      #
#                                                                              #
################################################################################

# The build type, specifies the different optimization types.
if (NOT DEFINED CMAKE_BUILD_TYPE OR "${CMAKE_BUILD_TYPE}" STREQUAL "")
  set (CMAKE_BUILD_TYPE "Release" CACHE STRING
       "Type of build, options are: None (CFLAGS/FFLAGS can be used), Debug, Garble, RelWithDebInfo, Release, Fast."
       FORCE)
endif ()
set_property (CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS None Debug Garble RelWithDebInfo Release Fast)

# The place where OpenMolcas is installed with make install.
if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  set (CMAKE_INSTALL_PREFIX "/opt/OpenMolcas" CACHE PATH "Location where OpenMolcas will be installed." FORCE)
endif ()
set (EXTRA_INSTALL_TARGETS "")
set (EXTRA_INSTALL_DIRS "")
set (EXTRA_INSTALL_IMPORTED_LIBS "")

option (INSTALL_TESTS "Install the test files and verify script." OFF)

set (DEBUG_DEFS "${DEBUG_DEFS}" CACHE STRING "Additional user-supplied definitions.")
separate_arguments (DEBUG_DEFS)

option (BUILD_SHARED_LIBS "Build dynamically-linked libraries." OFF)
option (BUILD_STATIC_LIBS "Build statically-linked libraries too." OFF)
if (BUILD_SHARED_LIBS)
  mark_as_advanced (CLEAR BUILD_STATIC_LIBS)
else ()
  mark_as_advanced (FORCE BUILD_STATIC_LIBS)
endif ()

option (MPI "Enable MPI parallellization." OFF)
option (GA "Use Global Arrays library." OFF)

option (OPENMP "Enable multi-threading." OFF)
option (IPO "Enable interprocedural optimization (if supported)." OFF)

option (BOUNDS "Enable bounds checking (only GNU Fortran)." OFF)

option (EXPERT "Show advanced compiler flags in CMake GUI)." OFF)

option (BIGOT "Do not allow any compiler warning (treat them as errors)." OFF)

set (LINALG_OPTIONS "Choose linear algebra library, options: Internal (default), Runtime, MKL, OpenBLAS, AOCL, Accelerate, Manual.")
if (DEFINED LINALG)
  set (LINALG "${LINALG}" CACHE STRING "${LINALG_OPTIONS}")
  if (NOT ";Internal;Runtime;MKL;OpenBLAS;AOCL;Accelerate;Manual;" MATCHES ";${LINALG};")
      message (FATAL_ERROR "Unsuported LINALG: ${LINALG}")
  endif ()
else ()
  set (LINALG "Internal" CACHE STRING "${LINALG_OPTIONS}")
endif ()
set_property (CACHE LINALG PROPERTY STRINGS Internal Runtime MKL OpenBLAS AOCL Accelerate Manual)

option (CUBLAS "Enable CUDA BLAS library." OFF)
option (NVBLAS "Enable NVidia BLAS library." OFF)

set (EXTERNAL_LIBXC "" CACHE STRING "Location for an external Libxc build")

option (FDE "Enable Frozen-density-embedding (FDE) interface." OFF)
option (GROMACS "Compile Gromacs interface." OFF)
option (BLOCK "Activate BLOCK-DMRG support." OFF)
option (CHEMPS2 "Activate CheMPS2-DMRG support." OFF)
option (DICE "Activate Dice-SHCI support." OFF)

option (GPERFTOOLS "Activate gperftools CPU profiling." OFF)
option (GCOV "Activate code coverage profiling (use with Debug/-O0)." OFF)
option (HDF5 "Activate HDF5 support for wavefunction format." ON)

option (TOOLS "Compile supported tools." OFF)

option (BUILD_TESTING "Build the unit_tests." ON)

if (";Debug;Garble;" MATCHES ";${CMAKE_BUILD_TYPE};")
  add_compile_definitions (_ADDITIONAL_RUNTIME_CHECK_)
endif ()

if (";Debug;Garble;RelWithDebInfo;" MATCHES ";${CMAKE_BUILD_TYPE};" OR
    CMAKE_Fortran_COMPILER_ID STREQUAL "NAG" OR
    BIGOT)
  add_compile_definitions (_WARNING_WORKAROUND_)
endif ()

# External projects
option (DMRG     "Activate QCMaquis DMRG driver and library."                                                 OFF)
option (EFPLIB   "Enable EFPLib library for effective fragment potentials (requires External/efp submodule)." OFF)
option (GA_BUILD "Build Global Arrays."                                                                       OFF)
option (GEN1INT  "Enable Gen1Int library for 1-electron integrals."                                           OFF)
option (MolGUI   "Enable the Molcas Graphical User Interface."                                                OFF)
option (MSYM     "Activate MSYM support (requires External/libmsym submodule)."                               OFF)
option (NECI     "Activate NECI support (requires External/NECI submodule)."                                  OFF)
option (NEVPT2   "Activate (DMRG)-NEVPT2 support."                                                            OFF)
option (WFA      "Activate extended wavefunction analysis (requires External/libwfa submodule)."              OFF)

################################################################################
#                                                                              #
# Global settings                                                              #
#                                                                              #
################################################################################

# mark that we are running CMake (for subprocesses)
set (ENV{CMAKE_SESSION} "OpenMolcas")

# project name and supported languages
#=====================================
message ("Configuring compilers:")

if (WFA OR MolGUI OR DMRG)
  enable_language (CXX)
endif ()

#avoid using CXX compiler for linking
set (CMAKE_CXX_LINKER_PREFERENCE_PROPAGATES "FALSE")

add_compile_definitions (_MOLCAS_)

#set cmake module search paths
set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH})

# location of molcas-extra
if (NOT DEFINED EXTRA)
  if (DEFINED ENV{EXTRA})
    set (EXTRA $ENV{EXTRA})
  else ()
    set (EXTRA "")
  endif ()
endif ()
if (NOT "${EXTRA}" STREQUAL "")
  if (NOT IS_ABSOLUTE "${EXTRA}")
    set (EXTRA "${PROJECT_BINARY_DIR}/${EXTRA}")
  endif ()
  get_filename_component (EXTRA "${EXTRA}" ABSOLUTE)
  if (NOT EXISTS "${EXTRA}")
    message (WARNING "The molcas-extra directory ${EXTRA} does not exist.")
  else ()
    FILE (STRINGS "${EXTRA}/.molcashome" DIR_TYPE)
    if ("${DIR_TYPE}" STREQUAL "molcas-extra")
      set (EXTRA_DIR ${EXTRA})
      add_compile_definitions (_HAVE_EXTRA_)
    else ()
      message (FATAL_ERROR "The directory ${EXTRA} does not contain molcas-extra.")
    endif ()
  endif ()
endif ()
set (EXTRA "${EXTRA}" CACHE PATH "Location of the molcas-extra directory." FORCE)

# possible locations for source code
set (OPENMOLCAS_DIR ${CMAKE_CURRENT_LIST_DIR})
if (NOT ${PROJECT_SOURCE_DIR} STREQUAL ${OPENMOLCAS_DIR})
  set (basedirs ${PROJECT_SOURCE_DIR})
  set (EXTRA_DIR ${PROJECT_SOURCE_DIR})
  add_compile_definitions (_HAVE_EXTRA_)
endif ()
list (APPEND basedirs ${OPENMOLCAS_DIR})
if (NOT "${EXTRA}" STREQUAL "")
  if (NOT ";${basedirs};" MATCHES ";${EXTRA};")
    list (APPEND basedirs ${EXTRA})
  endif ()
endif ()
foreach (BASE_DIR ${basedirs})
  file (GLOB source_roots_tmp RELATIVE ${PROJECT_SOURCE_DIR} "${BASE_DIR}/src*")
  list (SORT source_roots_tmp)
  list (APPEND source_roots ${source_roots_tmp})
endforeach ()
list (REVERSE basedirs)

# get version from git if available, otherwise look in .molcasversion
#====================================================================

message ("Detecting Molcas version info:")

set (ENV{MOLCAS} ${PROJECT_BINARY_DIR})
set (ENV{OPENMOLCAS} ${OPENMOLCAS_DIR})
if (DEFINED EXTRA_DIR)
  set (ENV{MOLCAS_SOURCE} ${EXTRA_DIR})
else ()
  set (ENV{MOLCAS_SOURCE} ${OPENMOLCAS_DIR})
endif ()

execute_process (
  COMMAND ${GIT} "rev-parse" "--git-dir"
  WORKING_DIRECTORY ${OPENMOLCAS_DIR}
  OUTPUT_VARIABLE GIT_REVPARSE_OUTPUT
  ERROR_VARIABLE GIT_REVPARSE_ERROR
  RESULT_VARIABLE GIT_REVPARSE_RC
  OUTPUT_STRIP_TRAILING_WHITESPACE
)
if (GIT_REVPARSE_RC)
  set (OPENMOLCAS_GIT_REPO "${OPENMOLCAS_DIR}/.git")
else ()
  set (OPENMOLCAS_GIT_REPO "${GIT_REVPARSE_OUTPUT}")
  if (NOT IS_ABSOLUTE "${OPENMOLCAS_GIT_REPO}")
    set (OPENMOLCAS_GIT_REPO "${OPENMOLCAS_DIR}/${OPENMOLCAS_GIT_REPO}")
  endif ()
endif ()
set (MOLCAS_VERSION_FILE "${PROJECT_SOURCE_DIR}/.molcasversion")

if (DEFINED EXTRA_DIR)
  execute_process (
    COMMAND ${GIT} "rev-parse" "--git-dir"
    WORKING_DIRECTORY ${EXTRA_DIR}
    OUTPUT_VARIABLE GIT_REVPARSE_OUTPUT
    ERROR_VARIABLE GIT_REVPARSE_ERROR
    RESULT_VARIABLE GIT_REVPARSE_RC
    OUTPUT_STRIP_TRAILING_WHITESPACE
  )
  if (GIT_REVPARSE_RC)
    set (EXTRA_GIT_REPO "${EXTRA_DIR}/.git")
  else ()
    set (EXTRA_GIT_REPO "${GIT_REVPARSE_OUTPUT}")
    if (NOT IS_ABSOLUTE "${EXTRA_GIT_REPO}")
      set (EXTRA_GIT_REPO "${EXTRA_DIR}/${EXTRA_GIT_REPO}")
    endif ()
  endif ()
endif ()

if (EXISTS ${GIT})
  foreach (BASE_DIR ${basedirs})
    if ("${BASE_DIR}" STREQUAL "${OPENMOLCAS_DIR}")
      if (EXISTS ${OPENMOLCAS_GIT_REPO})
        set (MOLCAS_GIT_REPO ${OPENMOLCAS_GIT_REPO})
      else ()
        continue ()
      endif ()
      set (label "")
    elseif ("${BASE_DIR}" STREQUAL "${EXTRA_DIR}")
      if (EXISTS ${EXTRA_GIT_REPO})
        set (MOLCAS_GIT_REPO ${EXTRA_GIT_REPO})
      else ()
        continue ()
      endif ()
      set (label "-extra")
    endif ()
    # always set the HEAD as a source for configuring
    configure_file ("${MOLCAS_GIT_REPO}/HEAD" git-head${label} COPYONLY)
    # if it is a ref to a named branch, include the branch ref too
    file (READ "${MOLCAS_GIT_REPO}/HEAD" HEAD_STRING)
    string (STRIP "${HEAD_STRING}" HEAD_STRING)
    string (REPLACE "ref: " "" HEAD_REF "${HEAD_STRING}")
    if (EXISTS "${MOLCAS_GIT_REPO}/${HEAD_REF}")
      configure_file ("${MOLCAS_GIT_REPO}/${HEAD_REF}" git-head-ref${label} COPYONLY)
    endif ()
    # now, get the actual versions from the git describe tool

=== Tools/rf2asc/CMakeLists.txt ===
#***********************************************************************
# This file is part of OpenMolcas.                                     *
#                                                                      *
# OpenMolcas is free software; you can redistribute it and/or modify   *
# it under the terms of the GNU Lesser General Public License, v. 2.1. *
# OpenMolcas is distributed in the hope that it will be useful, but it *
# is provided "as is" and without any express or implied warranties.   *
# For more details see the full text of the license in the file        *
# LICENSE or in <http://www.gnu.org/licenses/>.                        *
#                                                                      *
# Copyright (C) 2016,2020, Ignacio Fdez. Galván                        *
#***********************************************************************
if (NOT DEFINED BASE_DIR)
  set (BASE_DIR ${PROJECT_SOURCE_DIR})
endif ()
file (RELATIVE_PATH tooldir ${BASE_DIR} ${CMAKE_CURRENT_LIST_DIR})
set (EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/${tooldir})

foreach (prog IN ITEMS rf2asc asc2rf testrf)
  add_executable (${prog}.exe ${prog}.f)
  target_link_libraries (${prog}.exe libmolcas)
  target_link_libraries (${prog}.exe ${EXTERNAL_LIBRARIES})
  target_include_directories (${prog}.exe PRIVATE ${runfile_util_src})
  install (PROGRAMS
           ${EXECUTABLE_OUTPUT_PATH}/${prog}.exe
           DESTINATION ${CMAKE_INSTALL_PREFIX}/${tooldir}
  )
endforeach (prog)

=== src/alaska_util/CMakeLists.txt ===
#***********************************************************************
# This file is part of OpenMolcas.                                     *
#                                                                      *
# OpenMolcas is free software; you can redistribute it and/or modify   *
# it under the terms of the GNU Lesser General Public License, v. 2.1. *
# OpenMolcas is distributed in the hope that it will be useful, but it *
# is provided "as is" and without any express or implied warranties.   *
# For more details see the full text of the license in the file        *
# LICENSE or in <http://www.gnu.org/licenses/>.                        *
#***********************************************************************

set (sources
     cmbnm2.F90
     cmbnmlt1.F90
     cmbnrf1.F90
     cmbns1.F90
     cmbnt1.F90
     cmbnw1.F90
     cosgrd.F90
     create_grads.F90
     csfgrad.F90
     drvh1.F90
     finfld.F90
     int_parm_g.F90
     int_prep_g.F90
     knegrd.F90
     knemmg.F90
     m1grd.F90
     m1mmg.F90
     m2grd.F90
     m2mmg.F90
     mltgrd.F90
     mltgrdnuc.F90
     mltmmg.F90
     nagrd.F90
     nammg.F90
     oneel_g.F90
     ovrgrd.F90
     ovrmmg.F90
     pcmgrd.F90
     pcmmmg.F90
     prepre_g.F90
     prgrad.F90
     prjgrd.F90
     prjmmg.F90
     psoao1.F90
     query_grads.F90
     read_grad.F90
     rfgrd.F90
     rfmmg.F90
     screen_g.F90
     size_sob_g.F90
     soao_g.F90
     srogrd.F90
     srommg.F90
     store_grad.F90
     store_not_grad.F90
     twoel_g.F90
     welgrd.F90
     welmmg.F90
     xfdgrd.F90
     xfdmmg.F90
)

# Source files defining modules that should be available to other *_util directories
set (modfile_list "")

include (${PROJECT_SOURCE_DIR}/cmake/util_template.cmake)

=== src/cht3/CMakeLists.txt ===
#***********************************************************************
# This file is part of OpenMolcas.                                     *
#                                                                      *
# OpenMolcas is free software; you can redistribute it and/or modify   *
# it under the terms of the GNU Lesser General Public License, v. 2.1. *
# OpenMolcas is distributed in the hope that it will be useful, but it *
# is provided "as is" and without any express or implied warranties.   *
# For more details see the full text of the license in the file        *
# LICENSE or in <http://www.gnu.org/licenses/>.                        *
#***********************************************************************

set (sources
     block_interf.F90
     calc_mp2.F90
     check_create_klvab_t3_mem.F90
     check_loops.F90
     check_mat.F90
     cht3.F90
     cht3_global.F90
     cht3_procedures.F90
     create_klvab_t3.F90
     decomp2ind.F90
     defcommon.F90
     defparreord_t3.F90
     delf.F90
     ex23.F90
     exmap3_231.F90
     expa1_uhf.F90
     expa2_uhf.F90
     expand4_12.F90
     ext_o_32.F90
     gather_t2anti_blocked.F90
     gather_t2_blocked.F90
     gather_t2.F90
     gather_t2_fblocked.F90
     generate_juzekoe.F90
     gen_oovo.F90
     gen_vvoo_blocked.F90
     gen_vvoo.F90
     gen_vvvo.F90
     getrest_t3.F90
     getx_t3.F90
     grow_l1.F90
     grow_l2.F90
     grow_t2anti_blocked1.F90
     grow_t2anti_blocked2.F90
     grow_t2_blocked.F90
     grow_t2_fblocked1.F90
     grow_t2_fblocked2.F90
     grow_t2neq.F90
     grow_vvoo_blocked.F90
     grow_vvoo.F90
     grow_w3.F90
     inireord_t3.F90
     klvaa_vvv.F90
     main.F90
     map2_21_t3.F90
     map3_132_t3.F90
     map3_231_t3.F90
     map3_321_t3.F90
     map4_3412_t3.F90
     multi_opendir.F90
     multi_readir.F90
     multi_wridir.F90
     my_block.F90
     t3ampl_bti.F90
     t3_bta_aac.F90
     t3_bt_aaa.F90
     t3_bta_abc.F90
     t3_bt_aac.F90
     t3_bt_abc.F90
     t3_bt_acc.F90
     t3loopa.F90
     t3loopb.F90
     v_size_t3.F90
)

include (${PROJECT_SOURCE_DIR}/cmake/prog_template.cmake)

=== src/dft_util/CMakeLists.txt ===
#***********************************************************************
# This file is part of OpenMolcas.                                     *
#                                                                      *
# OpenMolcas is free software; you can redistribute it and/or modify   *
# it under the terms of the GNU Lesser General Public License, v. 2.1. *
# OpenMolcas is distributed in the hope that it will be useful, but it *
# is provided "as is" and without any express or implied warranties.   *
# For more details see the full text of the license in the file        *
# LICENSE or in <http://www.gnu.org/licenses/>.                        *
#***********************************************************************

set (sources
     check_fthaw.F90
     cwrap_drvnq.F90
     driver.F90
     drvdft.F90
     drvemb.F90
     fexp.F90
     functionals.F90
     get_denergy.F90
     get_exfac.F90
     ksdft_info.F90
     libxc_parameters.F90
     ndsd_ts.F90
     nucatt.F90
     ofembed.F90
     ofe_print.F90
     overlap.F90
     vemb_exc_states.F90
     vt_lim.F90
     wrap_drvnq.F90
     xlambda.F90
)

# Source files defining modules that should be available to other *_util directories
set (modfile_list
     ksdft_info.F90
     ofembed.F90
)

include (${PROJECT_SOURCE_DIR}/cmake/util_template.cmake)

=== src/faiemp_util/CMakeLists.txt ===
#***********************************************************************
# This file is part of OpenMolcas.                                     *
#                                                                      *
# OpenMolcas is free software; you can redistribute it and/or modify   *
# it under the terms of the GNU Lesser General Public License, v. 2.1. *
# OpenMolcas is distributed in the hope that it will be useful, but it *
# is provided "as is" and without any express or implied warranties.   *
# For more details see the full text of the license in the file        *
# LICENSE or in <http://www.gnu.org/licenses/>.                        *
#***********************************************************************

set (sources
     addfragdens.F90
     drv2el_faiemp.F90
     drvg_faiemp.F90
     fragexpand.F90
     fragpcont.F90
     fragpgrd.F90
     fragpint.F90
     fragpmem.F90
     fragpmmg.F90
     getfragment.F90
     makedens.F90
     prepp_faiemp.F90
     reindexfrag.F90
)

# Source files defining modules that should be available to other *_util directories
set (modfile_list "")

include (${PROJECT_SOURCE_DIR}/cmake/util_template.cmake)

=== src/fmm_util/CMakeLists.txt ===
#***********************************************************************
# This file is part of OpenMolcas.                                     *
#                                                                      *
# OpenMolcas is free software; you can redistribute it and/or modify   *
# it under the terms of the GNU Lesser General Public License, v. 2.1. *
# OpenMolcas is distributed in the hope that it will be useful, but it *
# is provided "as is" and without any express or implied warranties.   *
# For more details see the full text of the license in the file        *
# LICENSE or in <http://www.gnu.org/licenses/>.                        *
#***********************************************************************

set (sources
     fmm_2darray_sort.F90
     fmm_aux_qlm_builder.F90
     fmm_boundary.F90
     fmm_box_builder.F90
     fmm_box_packer.F90
     fmm_box_utils.F90
     fmm_car_to_sph.F90
     fmm_driver.F90
     fmm_global_paras.F90
     fmm_integral_utils.F90
     fmm_interface.F90
     fmm_j_builder.F90
     fmm_local_search.F90
     fmm_multiple_t_worker.F90
     fmm_multipole_ints.F90
     fmm_multi_t_buffer.F90
     fmm_proc_selector.c
     fmm_qlm_builder.F90
     fmm_qlm_utils.F90
     fmm_scale_t_buffer.F90
     fmm_scheme_builder.F90
     fmm_shell_pairs.F90
     fmm_sort_paras.F90
     fmm_sort_t_pairs.F90
     fmm_stats.F90
     fmm_t_buffer.F90
     fmm_t_contractors.F90
     fmm_t_pair_builder.F90
     fmm_t_pair_mould.F90
     fmm_t_pair_tests.F90
     fmm_tree_buffer.F90
     fmm_t_worker.F90
     fmm_utils.F90
     fmm_vff_driver.F90
     fmm_w_buffer.F90
     fmm_w_contractors.F90
     fmm_w_pair_builder.F90
     fmm_w_worker.F90
)

# Source files defining modules that should be available to other *_util directories
set (modfile_list "")

include (${PROJECT_SOURCE_DIR}/cmake/util_template.cmake)

=== src/gateway_util/CMakeLists.txt ===
#***********************************************************************
# This file is part of OpenMolcas.                                     *
#                                                                      *
# OpenMolcas is free software; you can redistribute it and/or modify   *
# it under the terms of the GNU Lesser General Public License, v. 2.1. *
# OpenMolcas is distributed in the hope that it will be useful, but it *
# is provided "as is" and without any express or implied warranties.   *
# For more details see the full text of the license in the file        *
# LICENSE or in <http://www.gnu.org/licenses/>.                        *
#***********************************************************************

set (sources
     agin.F90
     amatrix.F90
     amfi_info.F90
     basis2run.F90
     basis_info.F90
     calcamt.F90
     calc_lstvec.F90
     center_info.F90
     clean_bname.F90
     cow.F90
     decode.F90
     dmp_efp.F90
     dmpinf.F90
     dmwdot.F90
     drvn0.F90
     dstchk.F90
     external_centers.F90
     fetch_qmmm.F90
     fill_rinfo1.F90
     find_basis_set.F90
     fix_fockop.F90
     gateway_global.F90
     gateway_info.F90
     gen_geolist.F90
     geolist.F90
     geonew.F90
     geonew_pc.F90
     getbs.F90
     getecp.F90
     getpam.F90
     index_center.F90
     index_nosym.F90
     info2runfile.F90
     lbl2nr.F90
     ldf_checkconfig.F90
     ldf_checkthrs.F90
     ldf_setoptionflag.F90
     mergebs.F90
     merge_lists.F90
     misc.F90
     mk_chdisp.F90
     name_to_lm.F90
     nrmlx.F90
     nrmlz.F90
     oeisg.F90
     one_int.F90
     order_axis.F90
     ordexp1.F90
     ordexp.F90
     ovlmp.F90
     period.F90
     phase_info.F90
     print_basis2.F90
     print_basis.F90
     print_geometry.F90
     print_isotopes.F90
     print_opinfo.F90
     print_symmetry.F90
     processrp.F90
     process_weights.F90
     pso_stuff.F90
     rdbsl.F90
     rdctl_seward.F90
     rdmx.F90
     reorder_gw.F90
     ricd_info.F90
     rigrot.F90
     saddle.F90
     set_fake_eris.F90
     settargetaccuracy_ldf.F90
     setup_offao.F90
     sizes_of_seward.F90
     soao_info.F90
     soctl_seward.F90
     symmetry_info.F90
     vexch.F90
     vqr.F90
     xyz.F90
)

# Source files defining modules that should be available to other *_util directories
set (modfile_list
     basis_info.F90
     center_info.F90
     external_centers.F90
     gateway_global.F90
     gateway_info.F90
     phase_info.F90
     pso_stuff.F90
     ricd_info.F90
     sizes_of_seward.F90
     soao_info.F90
     symmetry_info.F90
)

include (${PROJECT_SOURCE_DIR}/cmake/util_template.cmake)

=== src/guga/CMakeLists.txt ===
#***********************************************************************
# This file is part of OpenMolcas.                                     *
#                                                                      *
# OpenMolcas is free software; you can redistribute it and/or modify   *
# it under the terms of the GNU Lesser General Public License, v. 2.1. *
# OpenMolcas is distributed in the hope that it will be useful, but it *
# is provided "as is" and without any express or implied warranties.   *
# For more details see the full text of the license in the file        *
# LICENSE or in <http://www.gnu.org/licenses/>.                        *
#***********************************************************************

set (sources
     main.F90
     aiai.F90
     aibj.F90
     ai.F90
     aijk.F90
     chel.F90
     ciall.F90
     ci_select.F90
     comp1.F90
     comp.F90
     config.F90
     deltab.F90
     empty.F90
     guga.F90
     guga_global.F90
     icpck.F90
     input_guga.F90
     int1.F90
     int2.F90
     int3.F90
     int4.F90
     int5.F90
     int61.F90
     int62.F90
     int7.F90
     int8.F90
     int9.F90
     jspck.F90
     jtime.F90
     loop10.F90
     loop11.F90
     loop12.F90
     loop13.F90
     loop14.F90
     loop15.F90
     loop16.F90
     loop17.F90
     loop18.F90
     loop19.F90
     loop1.F90
     loop20.F90
     loop21.F90
     loop22.F90
     loop23.F90
     loop26.F90
     loop2.F90
     loop3.F90
     loop4.F90
     loop5.F90
     loop6.F90
     loop7.F90
     loop8.F90
     loop9.F90
     oneel_guga.F90
     path.F90
     tab2.F90
     tab2f.F90
     tail.F90
)

include (${PROJECT_SOURCE_DIR}/cmake/prog_template.cmake)

=== src/gugadrt/CMakeLists.txt ===
#***********************************************************************
# This file is part of OpenMolcas.                                     *
#                                                                      *
# OpenMolcas is free software; you can redistribute it and/or modify   *
# it under the terms of the GNU Lesser General Public License, v. 2.1. *
# OpenMolcas is distributed in the hope that it will be useful, but it *
# is provided "as is" and without any express or implied warranties.   *
# For more details see the full text of the license in the file        *
# LICENSE or in <http://www.gnu.org/licenses/>.                        *
#***********************************************************************

set (sources
     main.F90
     arrange_orbital_molcas.F90
     gugadrt_active_drt.F90
     gugadrt_check_rcas3.F90
     gugadrt_dbl_downwalk.F90
     gugadrt_dbl_upwalk.F90
     gugadrt_ext_downwalk.F90
     gugadrt.F90
     gugadrt_global.F90
     gugadrt_gugafinalize.F90
     gugadrt_mole_inf.F90
     gugadrt_njexcit.F90
     gugadrt_paras_calculate.F90
     gugadrt_rcas.F90
     gugadrt_ref_gfs.F90
     gugadrt_rst.F90
     gugainit.F90
     packnod.F90
     redabkm.F90
     upacknod.F90
     writedrt.F90
     wrtabkm.F90
)

include (${PROJECT_SOURCE_DIR}/cmake/prog_template.cmake)

=== src/kriging_util/CMakeLists.txt ===
#***********************************************************************
# This file is part of OpenMolcas.                                     *
#                                                                      *
# OpenMolcas is free software; you can redistribute it and/or modify   *
# it under the terms of the GNU Lesser General Public License, v. 2.1. *
# OpenMolcas is distributed in the hope that it will be useful, but it *
# is provided "as is" and without any express or implied warranties.   *
# For more details see the full text of the license in the file        *
# LICENSE or in <http://www.gnu.org/licenses/>.                        *
#***********************************************************************

set (sources
     backtrans_k.F90
     covarmatrix.F90
     covarvector.F90
     dispersion_kriging.F90
     dispersion_kriging_layer.F90
     energy_kriging.F90
     energy_kriging_layer.F90
     finishing_kriging.F90
     gradient_kriging.F90
     gradient_kriging_layer.F90
     hessian_kriging.F90
     hessian_kriging_layer.F90
     kriging_model.F90
     kriging_mod.F90
     matderiv.F90
     matern.F90
     pgek.F90
     predict.F90
     set_l_kriging.F90
     start_kriging.F90
     trans_k.F90
)

# Source files defining modules that should be available to other *_util directories
set (modfile_list
     kriging_mod.F90
)

include (${PROJECT_SOURCE_DIR}/cmake/util_template.cmake)

=== src/ldf_fock_util/CMakeLists.txt ===
#***********************************************************************
# This file is part of OpenMolcas.                                     *
#                                                                      *
# OpenMolcas is free software; you can redistribute it and/or modify   *
# it under the terms of the GNU Lesser General Public License, v. 2.1. *
# OpenMolcas is distributed in the hope that it will be useful, but it *
# is provided "as is" and without any express or implied warranties.   *
# For more details see the full text of the license in the file        *
# LICENSE or in <http://www.gnu.org/licenses/>.                        *
#***********************************************************************

set (sources
     ldf_auxbasvectornorm.F90
     ldf_blockmatrixnorm.F90
     ldf_computecoulombintermediates0.F90
     ldf_computecoulombintermediates.F90
     ldf_computeu.F90
     ldf_fci.F90
     ldf_fock_coulomberroranalysis.F90
     ldf_fock_coulomberror.F90
     ldf_fock_coulombonly0_1.F90
     ldf_fock_coulombonly0_2.F90
     ldf_fock_coulombonly0_3.F90
     ldf_fock_coulombonly0_.F90
     ldf_fock_coulombonly0.F90
     ldf_fock_coulombonly_.F90
     ldf_fock_coulombonly.F90
     ldf_fock_coulombonly_xidi.F90
     ldf_fock_coulombupperbound.F90
     ldf_fock_coulombupperbound_full.F90
     ldf_fock_coulombupperboundnorm.F90
     ldf_fock_coulombupperboundnorm_full.F90
     ldf_fock_cub.F90
     ldf_ftst.F90
     ldf_fvifc.F90
)

# Source files defining modules that should be available to other *_util directories
set (modfile_list "")

include (${PROJECT_SOURCE_DIR}/cmake/util_template.cmake)

=== debian/changelog ===
openmolcas (22.10-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/mkl_library_dir.patch: Refreshed.
  * debian/patches/pymolcas_default_directories.patch: Likewise.
  * debian/patches/install_locations.patch: Likewise.
  * debian/patches/linux_platform_support.patch: Likewise.
  * debian/patches/libxc_hardcode_includedir.patch: Likewise.
  * debian/patches/python_interpreter.patch: Likewise.
  * debian/patches/fix_libxc_interface.patch: Removed, no longer needed.

 -- Michael Banck <mbanck@debian.org>  Sat, 07 Jan 2023 19:23:59 +0100

=== debian/control ===
Source: openmolcas
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>= 10),
               cmake (>= 3.0.2),
               gfortran,
               libhdf5-dev,
               libopenblas64-openmp-dev,
               libjs-jquery,
               libjs-underscore,
               libxc-dev (>= 5.2.2),
               python3-pyparsing,
               python3-six,
               python3-sphinx,
               python3-sphinxcontrib.bibtex
Standards-Version: 4.1.3
X-Python3-Version: >= 3.6
Homepage: https://gitlab.com/Molcas/OpenMolcas
Testsuite: autopkgtest-pkg-python
Vcs-Browser: https://salsa.debian.org/debichem-team/openmolcas
Vcs-Git: https://salsa.debian.org/debichem-team/openmolcas.git

Package: openmolcas
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends},
         openmolcas-data (= ${source:Version}),
         python3,
         python3-lxml,
         python3-pyparsing,
         python3-six
Description: Quantum chemistry software package
 The key feature of OpenMolcas is the multiconfigurational approach to the
 electronic structure.
 .
 It can compute energies, gradients and hessians for the following methods:
  * Hartree-Fock SCF (HF)
  * Complete active space SCF (CASSCF)
 .
 It can compute energies and gradients for the following methods:
  * Hartree-Fock (HF)
  * Density-Functional Theory (DFT)
  * Second-order Moeller-Plesset perturbation theory (MP2)
  * Complete and restricted active space SCF (CASSCF/RASSCF)
 .
 Additionally, it can compute energies for the following methods:
  * Closed shell Moeller-Plesset perturbation theory (MP2)
  * Complete active space second order perturbation theory (CASPT2)
  * Coupled-cluster singles doubles (CCSD), optionally wihth
    Cholesky-Decomposition (CD)/Resolution-of-the Identity (RI)
  * CD/RI Coupled-cluster singles doubles with perturbative
    triples (CCSD(T))
  * Density Matrix Renormalization Group SCF (DMRG-SCF)

Package: openmolcas-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Quantum chemistry software package (data files)
 The key feature of OpenMolcas is the multiconfigurational approach to the
 electronic structure.
 .
 This package contains data files.
